API referenceMailbox orders
GET
/managed-domains/{id}

JavaScript SDK: swarmhit.managedDomains.get(managedDomainId, params?)

One of the workspace's domains, bought or own: its room for mailboxes, and for an own domain where its connection stands. With orgWide=true, an organization's key also finds its workspaces' domains, each naming its workspace; acting on one (check, delete) takes X-Swarmhit-Workspace naming that workspace.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created on the Access tokens page.

In: header

Path Parameters

id*string

Query Parameters

orgWide?boolean

Also the organization's workspaces' domains (an organization's key).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/managed-domains/string"
{  "data": {    "id": "string",    "name": "string",    "workspaceId": "string",    "workspaceName": "string",    "platform": "google",    "live": 0,    "pending": 0,    "slotsLeft": 0,    "canAdd": true,    "reason": "full",    "adminEmail": "string",    "takenEmails": [      "string"    ],    "source": "purchased",    "connection": {      "state": "nameservers",      "stateLabel": "string",      "nameservers": [        "string"      ],      "currentNameservers": [        "string"      ],      "nameserversChangedAt": "2019-08-24T14:15:22Z",      "websiteRecords": [        {          "type": "A",          "host": "@",          "value": "string"        }      ],      "websiteRecordsCopied": true,      "dnssec": true,      "checkedAt": "2019-08-24T14:15:22Z",      "readyAt": "2019-08-24T14:15:22Z",      "movedAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "registrarExpiresAt": "2019-08-24T14:15:22Z"    },    "emailVerification": {      "status": "pending",      "deadline": "2019-08-24T14:15:22Z"    }  }}